﻿@model List<SalesInvoiceView>

@{
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesInvoice.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <i class="icon-calendar"></i>
        <h3 class="panel-title">@SalesInvoices.SIL</h3>
    </div>
   
    <div class="panel-body">

        <div class="table-responsive">
            <table class="table table-striped">
                @if (Model.Count > 0)
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@PurchaseOrders.Date</th>
                            <th>@SaleOrders.CC</th>
                            <th>@SaleOrders.CN</th>
                            <th>@PurchaseOrders.Remarks</th>
                            <th>@PurchaseOrders.DD</th>
                            <th>@PurchaseOrders.Status</th>
                            <th>&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (SalesInvoiceView item in Model)
                        {
                            <tr>
                                <td>@item.DocEntry</td>
                                <td>@((item.DocDate != null && item.DocDate != DateTime.MinValue) ? item.DocDate.ToString().AsDateTime().ToShortDateString() : "")</td>
                                <td>@item.CardCode</td>
                                <td>@item.CardName</td>
                                <td>@item.Comments</td>
                                <td>@((item.DocDueDate != null && item.DocDueDate != DateTime.MinValue) ? item.DocDueDate.ToString().AsDateTime().ToShortDateString() : "")</td>
                                <td>
                                    @switch (item.DocStatus)
                                    {
                                        case "C":
                                            @SaleOrders.Closed;
                                            break;
                                        case "O":
                                            @SaleOrders.Open;
                                            break;
                                    }
                                </td>
                                <td>
                                    @if (_View) 
                                    { 
                                        <a href='@Url.Action("ActionSalesInvoice", "SalesInvoice", new { @ActionSalesInvoice = "View", @IdSI = item.DocEntry })' class="btn btn-primary btn-xs">
                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                        </a>
                                    }
                                </td>
                            </tr>
                        }

                    </tbody>
                }
                else
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@PurchaseOrders.Date</th>
                            <th>@SaleOrders.CC</th>
                            <th>@SaleOrders.CN</th>
                            <th>@PurchaseOrders.Remarks</th>
                            <th>@PurchaseOrders.DD</th>
                            <th>@PurchaseOrders.Status</th>
                            <th>&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td colspan="8">@PurchaseOrders.NDTD</td>
                        </tr>
                    </tbody>
                }
            </table>
        </div>
    </div>
</div>

